Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server.source
Class SourceControllerFileDebug

    java.lang.Object
      org.joseki.server.source.SourceControllerFile
          org.joseki.server.source.SourceControllerFileDebug

All Implemented Interfaces:
  Loadable, SourceController

public class SourceControllerFileDebug
extends SourceControllerFile
implements SourceController, Loadable

A simple SourceController which provides some monitoring facilities, based on the standard SourceControllerFile. This is an example that does some logging on access to a file-backed model. It is a loadable Joseki module.

Version:
  $Id: SourceControllerFileDebug.java,v 1.2 2004/04/30 14:13:14 andy_seaborne Exp $
Author:
  Andy Seaborne

Constructor Summary
`SourceControllerFileDebug()`

Method Summary
`void` | `activate()`
`com.hp.hpl.jena.rdf.model.Model` | `buildSource()`
`ModelSource` | `createSourceModel(com.hp.hpl.jena.rdf.model.Resource description, java.lang.String _serverURI)`
`void` | `deactivate()`
`java.lang.String` | `getInterfaceURI()` The URI for this loadable class.
`java.lang.String` | `getServerURI()`
`void` | `init(com.hp.hpl.jena.rdf.model.Resource binding, com.hp.hpl.jena.rdf.model.Resource implementation)` Allow an implementation to initialise, based on configuration file
`void` | `releaseSource()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SourceControllerFileDebug

    public SourceControllerFileDebug()

Method Detail

### getInterfaceURI

    public java.lang.String getInterfaceURI()

  The URI for this loadable class. Must agree with the URI specified on loading.

  Specified by:
    `getInterfaceURI` in interface `Loadable`
  Overrides:
    `getInterfaceURI` in class `SourceControllerFile`

### init

    public void init(com.hp.hpl.jena.rdf.model.Resource binding,
                     com.hp.hpl.jena.rdf.model.Resource implementation)

  Allow an implementation to initialise, based on configuration file

  Specified by:
    `init` in interface `Loadable`
  Overrides:
    `init` in class `SourceControllerFile`

### createSourceModel

    public ModelSource createSourceModel(com.hp.hpl.jena.rdf.model.Resource description,
                                         java.lang.String _serverURI)

  Specified by:
    `createSourceModel` in interface `SourceController`
  Overrides:
    `createSourceModel` in class `SourceControllerFile`

### getServerURI

    public java.lang.String getServerURI()

  Specified by:
    `getServerURI` in interface `SourceController`
  Overrides:
    `getServerURI` in class `SourceControllerFile`

### activate

    public void activate()

  Specified by:
    `activate` in interface `SourceController`
  Overrides:
    `activate` in class `SourceControllerFile`

### deactivate

    public void deactivate()

  Specified by:
    `deactivate` in interface `SourceController`
  Overrides:
    `deactivate` in class `SourceControllerFile`

### buildSource

    public com.hp.hpl.jena.rdf.model.Model buildSource()

  Specified by:
    `buildSource` in interface `SourceController`
  Overrides:
    `buildSource` in class `SourceControllerFile`

### releaseSource

    public void releaseSource()

  Specified by:
    `releaseSource` in interface `SourceController`
  Overrides:
    `releaseSource` in class `SourceControllerFile`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.